| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iutil/csinput.h File Reference

Crystal Space input library. More...

`#include "csutil/scf.h"`
`#include "iutil/event.h"`
`#include "csutil/csunicode.h"`

Go to the source code of this file.

## Classes
struct | iJoystickDriver
| Generic Joystick driver. More...
struct | iKeyboardDriver
| Generic Keyboard Driver. More...
struct | iKeyComposer
| Keyboard input handler. More...
struct | iMouseDriver
| Generic Mouse Driver. More...
## Enumerations
enum | csKeyComposeResult { csComposeNoChar = -1, csComposeNormalChar, csComposeComposedChar, csComposeUncomposeable }
| Results for attempts to process a character key. More...

## Detailed Description

Crystal Space input library.

These are the low-level interfaces to generic classes of input devices like keyboard, mouse, and joystick. System-dependent code should inherit system-specific classes from those defined below, implementing as much functionality as possible.

Definition in file csinput.h.